// -*- c++ -*-
/*
  Copyright 2003 John Knottenbelt
  
  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.
 
  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.
 
  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111, USA.
*/

#if !defined __FAKETUNER_H
#define __FAKETUNER_H

#include "tuner.h"

class FakeTuner : public Tuner {
public:
  FakeTuner( const Tuner &realTuner );

protected:
  virtual Demuxer *makeNewDemuxer(int pid, Demuxer::PESType pesType) const;
  virtual bool openFrontend();
  virtual void closeFrontend();
  virtual bool openDvr();
  virtual void closeDvr();
  virtual bool tune();
};

#endif // __FAKETUNER_H
